### Enumeration

# Gimp RunMode

unstable since: 3.0

#### Declaration

    enum Gimp.RunMode

#### Description [src]

Run modes for plug-ins.

Available since: 3.0

#### Members

`GIMP_RUN_INTERACTIVE`

  Run interactively.

  - Value: `0`
  - Nickname: `interactive`
  - Available since: 3.0
`GIMP_RUN_NONINTERACTIVE`

  Run non-interactively.

  - Value: `1`
  - Nickname: `noninteractive`
  - Available since: 3.0
`GIMP_RUN_WITH_LAST_VALS`

  Run with last used values.

  - Value: `2`
  - Nickname: `with-last-vals`
  - Available since: 3.0